Subject: Re: [Ntp] Smearing

From: Danny Mayer <[email-masked]>
Date: Tue, 19 Oct 2021 12:40:17 -0400

On 10/19/21 12:15 PM, Tony Finch wrote:
> Danny Mayer <[email-masked]> wrote:
>> It also indicates if there is a leapsmear in progress, the type of smearing
>> done (there are a number of different ones) by including a smearing ID.
> Are there good reasons for needing more than one kind of smear?
>
> As I understand it, the most prominent leap smear deployments have
> converged on:
>
>    * 24h smear, not too long but long enough that NTP clients will notice
>      the rate change even with a 1024 second polling interval, and the rate
>      change is small enough that NTP clients are willing and able to follow it
>
>    * smear from midday to midday around the leap second, to keep the phase
>      error below 0.5 seconds
>
>    * use a linear smear, because NTP clients are better at following
>      constant rates (a cosine or other smoothing means the rate changes
>      continuously during the smear, which NTP does not handle so well)
>
> Tony.

You've just outlined the ones we know about. A client may want to follow 
one or the other or none. That's a policy decision so let the client 
make it. That's why embedding a smearing ID in the packet makes sense.

Danny